mxGraphView.mxCurrentRootChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxGraphView.mxCurrentRootChange

    java.lang.Object
      com.mxgraph.view.mxGraphView.mxCurrentRootChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphView

    public static class mxGraphView.mxCurrentRootChange

extends Object
implements mxUndoableEdit.mxUndoableChange

Action to change the current root in a view.

Field Summary
`protected Object` | `previous`
`protected Object` | `root`
`protected boolean` | `up`
`protected mxGraphView` | `view`

Constructor Summary
`mxGraphView.mxCurrentRootChange(mxGraphView view, Object root)` Constructs a change of the current root in the given view.

Method Summary
`void` | `execute()` Changes the current root of the view.
`Object` | `getPrevious()` Returns the previous root.
`Object` | `getRoot()` Returns the root.
`mxGraphView` | `getView()` Returns the graph view where the change happened.
`boolean` | `isUp()` Returns true if the drilling went upwards.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### view

    protected mxGraphView view

### root

    protected Object root

### previous

    protected Object previous

### up

    protected boolean up

Constructor Detail

### mxGraphView.mxCurrentRootChange

    public mxGraphView.mxCurrentRootChange(mxGraphView view,
                                           Object root)

  Constructs a change of the current root in the given view.

Method Detail

### getView

    public mxGraphView getView()

  Returns the graph view where the change happened.

### getRoot

    public Object getRoot()

  Returns the root.

### getPrevious

    public Object getPrevious()

  Returns the previous root.

### isUp

    public boolean isUp()

  Returns true if the drilling went upwards.

### execute

    public void execute()

  Changes the current root of the view.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.